<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (c) 2016-Present Webkul Software Pvt. Ltd. (<https://webkul.com/>) -->
<!-- See LICENSE file for full copyright and licensing details. -->
<!-- License URL : https://store.webkul.com/license.html/ -->

<odoo>
    <data>
        
        <template id="website_sale.products_categories" priority="14" inherit_id="website_sale.products" active="False" customize_show="True" name="eCommerce Categories">
            <xpath expr="//div[@id='products_grid_before']" position="inside">
                <ul class="nav nav-pills flex-column mt16">
                    <li class="nav-item">
                        <a t-att-href="keep('/shop',category=0)" t-attf-class="nav-link#{'' if category else ' active'} o_not_editable">All Products</a>
                    </li>
                    <t t-foreach="categories" t-as="c">
                        <t t-call="website_sale.categories_recursive" />
                    </t>
                </ul>
            </xpath>
            <xpath expr="//div[@id='products_grid_before']" position="attributes">
                <attribute name="class">col-lg-3 col-md-4 col-12</attribute>
            </xpath>
            <xpath expr="//div[@id='products_grid']" position="attributes">
                <attribute name="class">col-lg-9 col-md-8</attribute>
            </xpath>
        </template>

        <template id="inherit_website_products" priority="15" inherit_id="website_sale.products" name="Base Products Form">
            <xpath expr="//div[@id='products_grid_before']" position="inside">
                <form class="js_attributes add_filters_div" method="get">
                </form>
            </xpath>
        </template>

        <template id="base_filter_inherit_products_attributes" priority="1" inherit_id="website_sale.products_attributes">
            <xpath expr="//div[@id='products_grid_before']//form[2]" position="replace">
            </xpath>
            <xpath expr="//div[@id='products_grid_before']//form[hasclass('js_attributes', 'add_filters_div')]" position="inside">
                <input type="hidden" name="search" t-att-value="search" />
                <ul class="nav nav-pills flex-column mt16">
                        <t t-foreach="attributes" t-as="a">
                            <li t-if="a.value_ids and len(a.value_ids) &gt; 1" class="nav-item">
                                <div>
                                    <strong t-field="a.name" />
                                </div>
                                <t t-if="a.type == 'select'">
                                    <select class="form-control" name="attrib">
                                        <option value="" />
                                        <t t-foreach="a.value_ids" t-as="v">
                                            <option t-att-value="'%s-%s' % (a.id,v.id)" t-esc="v.name" t-att-selected="v.id in attrib_set" />
                                        </t>
                                    </select>
                                </t>
                                <t t-if="a.type == 'radio'">
                                    <ul class="nav nav-pills flex-column">
                                        <t t-foreach="a.value_ids" t-as="v">
                                            <li class="nav-item">
                                                <label style="margin: 0 20px;" t-attf-class="nav-link#{' active' if v.id in attrib_set else ''}">
                                                    <input type="checkbox" name="attrib" t-att-value="'%s-%s' % (a.id,v.id)" t-att-checked="'checked' if v.id in attrib_set else None" />
                                                    <span style="font-weight: normal" t-field="v.name" />
                                                </label>
                                            </li>
                                        </t>
                                    </ul>
                                </t>
                                <t t-if="a.type == 'color'">
                                    <t t-foreach="a.value_ids" t-as="v">
                                        <label t-attf-style="background-color:#{v.html_color or v.name}" t-attf-class="css_attribute_color #{'active' if v.id in attrib_set else ''}">
                                            <input type="checkbox" name="attrib" t-att-value="'%s-%s' % (a.id,v.id)" t-att-checked="'checked' if v.id in attrib_set else None" t-att-title="v.name" />
                                        </label>
                                    </t>
                                </t>
                            </li>
                        </t>
                    </ul>
            </xpath>
        </template>
    </data>
</odoo>
